<?php
#
# EstimationBy3Points - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.23]
#

#-------------
# Preparation
#-------------

$optimistic = $_SERVER['argv'][1];
$standard   = $_SERVER['argv'][2];
$pessimism  = $_SERVER['argv'][3];

$expectation = ($optimistic + (4 * $standard) + $pessimism) / 6.0;
$variance    = pow($pessimism - $optimistic, 2) / 6.0;
$probability = sqrt($variance) / $expectation;

$expectation = base64_encode($expectation);
$variance    = base64_encode($variance);
$probability = base64_encode($probability);


#--------
# Output
#--------
printf("{\"expectation\" : \"%s\", \"variance\" : \"%s\", \"probability\" : \"%s\"}\n", $expectation, $variance, $probability);


?>