#!/bin/sh
#
# EstimationBy3Points - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.23]
#

if [ "`printf 'hoge' | base64 --wrap=0 2>/dev/null | base64 -d 2>/dev/null`" = "hoge" ]
then
	alias encodeBase64='base64 --wrap=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -d'
else
	alias encodeBase64='base64 --break=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -D'
fi

Optimistic=`printf "%s" "${1}" | decodeBase64`
Standard=`printf "%s" "${2}" | decodeBase64`
Pessimism=`printf "%s" "${3}" | decodeBase64`

php ./Scripts/EstimationBy3Points.php "${Optimistic}" "${Standard}" "${Pessimism}"
