#!/bin/sh
#
# IdLength2SpaghettiName - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.04]
#  Modified by M.Miyazaki [2013.01.06]
#

if [ "`printf 'hoge' | base64 --wrap=0 2>/dev/null | base64 -d 2>/dev/null`" = "hoge" ]
then
	alias encodeBase64='base64 --wrap=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -d'
else
	alias encodeBase64='base64 --break=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -D'
fi

InputString="${1}"
printf "${InputString}" | decodeBase64 | php ./Scripts/IdLength2SpaghettiName.php
