#!/bin/sh
#
# MetricsTable - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.14]
#

LinesOfCode=`printf "%s" "${1}"`
EffectiveLOC=`printf "%s" "${2}"`
PhysicalLOC=`printf "%s" "${3}"`
LogicalLOC=`printf "%s" "${4}"`
CommentLines=`printf "%s" "${5}"`
NumberOfFunctions=`printf "%s" "${6}"`
LinesPerFunction=`printf "%s" "${7}"`
AverageLengthOfId=`printf "%s" "${8}"`
IndentDifference=`printf "%s" "${9}"`
StandardIndent=`printf "%s" "${10}"`
CommentRatio=`printf "%s" "${11}"`

php ./Scripts/MetricsTable_Simple.php \
	"${LinesOfCode}" "${EffectiveLOC}" "${PhysicalLOC}" "${LogicalLOC}" "${CommentLines}" "${NumberOfFunctions}" \
	"${LinesPerFunction}" "${AverageLengthOfId}" "${IndentDifference}" "${StandardIndent}" "${CommentRatio}"
