#
# LinesPerFunction2WaitTime - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.08]
#

BEGIN {
	currentX = 0;
	currentY = 0;
	output = "false";
}

{
	if (previousX != $1)
	{
		previousX = currentX;
		previousY = currentY;
		currentX = $1;
		currentY = $2;
	}
}

previousX <= linesPerFunction && linesPerFunction < currentX {
	#print linesPerFunction " is from " previousX " to " currentX;
	printf (currentY - previousY) * ((linesPerFunction - previousX) / (currentX - previousX)) + previousY;
	output = "true";
}

END {
	if (output == "false") {
		#print linesPerFunction " is from " currentX "!";
		printf (currentY - previousY) * ((linesPerFunction - previousX) / (currentX - previousX)) + previousY;
	}
}
