#!/usr/bin/python
# -*- coding: utf8 -*-
#
# Number2Time - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.08]
#

import sys

inputUnit  = sys.argv[1].lower()
inputValue = float(sys.argv[2])
timeUnit   = ["時間", "分", "秒"]
unitMin    = ["minutes", "min"]
unitSec    = ["seconds", "sec"]

if inputUnit in unitMin:
	#print "You specified 'min'!"
	hours   = str(int(inputValue) / 60)
	minutes = str(int(inputValue) % 60)
	seconds = str(int(round((inputValue - int(inputValue)) * 60)))
	
elif inputUnit in unitSec:
	#print "You specified 'sec'!"
	hours   = str(int(inputValue) / 60 / 60)
	minutes = str(int(inputValue) / 60 % 60)
	seconds = str(int(inputValue) % 60)
	
else :
	#print "You specified undefined unit '" + inputUnit + "'"
	hours   = "?"
	minutes = "?"
	seconds = "?"


if hours != "0":
	sys.stdout.write(hours + timeUnit[0])

if minutes != "0":
	sys.stdout.write(minutes + timeUnit[1])

sys.stdout.write(seconds + timeUnit[2])
