#!/bin/sh
#
# Number2Time - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.08]
#

if [ "`printf 'hoge' | base64 --wrap=0 2>/dev/null | base64 -d 2>/dev/null`" = "hoge" ]
then
	alias encodeBase64='base64 --wrap=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -d'
else
	alias encodeBase64='base64 --break=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -D'
fi

Unit=`printf "%s" "${1}" | decodeBase64`
Value=`printf "%s" "${2}" | decodeBase64`

OutputValue=`python ./Scripts/Number2Time.py "${Unit}" "${Value}" | encodeBase64`

printf "{\"output\" : \"%s\"}\n" "${OutputValue}"
